summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Oleg A. Deordiev2014-01-11 15:37:28 +0100
committer Erik Hanson2014-01-30 06:20:26 +0100
commitf6fe725e0aceb82c3512482d89ff6fe2e5df0e61 (patch)
tree58ff478319582431173a070251939bf881bc8f7a /network
parent91c2101128551146792254f076dce57d1cc0425a (diff)
downloadslackbuilds-f6fe725e0aceb82c3512482d89ff6fe2e5df0e61.tar.gz
system/kasp_updater: Added (updater for Kaspersky antivirus).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/kasp_updater/README30
-rw-r--r--network/kasp_updater/doinst.sh6
-rw-r--r--network/kasp_updater/kasp_update.sh4
-rw-r--r--network/kasp_updater/kasp_updater.SlackBuild74
-rw-r--r--network/kasp_updater/kasp_updater.info10
-rw-r--r--network/kasp_updater/slack-desc19
-rw-r--r--network/kasp_updater/updater.ini.patch25
7 files changed, 168 insertions, 0 deletions
diff --git a/network/kasp_updater/README b/network/kasp_updater/README
new file mode 100644
index 0000000000..929348e965
--- /dev/null
+++ b/network/kasp_updater/README
@@ -0,0 +1,30 @@
+Kaspersky Update Utility is the application designed for downloading
+updates of selected Kaspersky Lab applications from the specified
+update source. The application allows saving updates in a local or
+network folder, from which they can be distributed on computers
+without Internet access.
+Kaspersky Update Utility establishes connection to an update source
+according to the specified settings and checks if any updates for the
+selected applications are available. If any updates are available,
+applications are available, Kaspersky Update Utility downloads them
+into the selected folder. After the download, the application checks
+the updates for integrity.
+Results of the application's operation are logged in a report.
+
+Kaspersky Update Utility allows:
+* Downloading updates of databases and software modules for selected
+ Kaspersky Lab applications.
+* Adjusting the update settings by means of a configuration file and
+ graphic interface.
+* Starting the update process manually.
+* Starting the update upon a schedule.
+
+_ _ _
+
+For syncing from the mirror every hour by cron, run:
+
+ chmod 755 /etc/cron.hourly/kasp_update.sh
+
+to sync manually:
+
+ kasp_updater -u -r
diff --git a/network/kasp_updater/doinst.sh b/network/kasp_updater/doinst.sh
new file mode 100644
index 0000000000..d69f5f31e7
--- /dev/null
+++ b/network/kasp_updater/doinst.sh
@@ -0,0 +1,6 @@
+echo -e
+echo "For syncing from the mirror every hour by cron, run:"
+echo -e
+echo " chmod 755 /etc/cron.hourly/kasp_update.sh"
+echo -e
+
diff --git a/network/kasp_updater/kasp_update.sh b/network/kasp_updater/kasp_update.sh
new file mode 100644
index 0000000000..f6725aadc8
--- /dev/null
+++ b/network/kasp_updater/kasp_update.sh
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+# Kaspersky Update Mirroring
+/usr/sbin/kasp_updater -u -r -s
diff --git a/network/kasp_updater/kasp_updater.SlackBuild b/network/kasp_updater/kasp_updater.SlackBuild
new file mode 100644
index 0000000000..7aa07e983a
--- /dev/null
+++ b/network/kasp_updater/kasp_updater.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for kasp_updater
+
+# Copyright 2014 Oleg A. Deordiev Ukraine/Odessa
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=kasp_updater
+TARNAME=updater
+VERSION=${VERSION:-2.0.1.2015.1}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ *) echo "$ARCH is unsupported." ; exit 1 ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# As we have prebuilt stuff from upstream, better locate it in /opt
+PRGDIR=/opt/$PRGNAM
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG$PRGDIR $OUTPUT \
+ $PKG/var/kav $PKG/var/log $PKG/usr/sbin $PKG/etc/cron.hourly
+tar xf $CWD/$TARNAME${VERSION}_linux_en.tar.gz -C $PKG$PRGDIR
+chown -R root:root $PKG
+chmod -R 644 $PKG$PRGDIR/*
+chmod 755 $PKG$PRGDIR/lib $PKG$PRGDIR/UpdateUtility-*
+
+touch $PKG/var/log/kasp_updater.log
+
+ln -s $PRGDIR/UpdateUtility-Console $PKG/usr/sbin/kasp_updater
+ln -s $PRGDIR/updater.ini $PKG/etc/kasp_updater.ini
+
+( cd $PKG$PRGDIR
+ patch -p0 < $CWD/updater.ini.patch )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG$PRGDIR/*.txt $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/kasp_update.sh > $PKG/etc/cron.hourly/kasp_update.sh
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}
diff --git a/network/kasp_updater/kasp_updater.info b/network/kasp_updater/kasp_updater.info
new file mode 100644
index 0000000000..e5522ecb9a
--- /dev/null
+++ b/network/kasp_updater/kasp_updater.info
@@ -0,0 +1,10 @@
+PRGNAM="kasp_updater"
+VERSION="r2.0.1.2015.1"
+HOMEPAGE="http://support.kaspersky.com/updater2"
+DOWNLOAD="http://products.kaspersky-labs.com/products/english/special/kasp_updater/updater2.0.1.2015.1_linux_en.tar.gz"
+MD5SUM="b6480feafd35ed8a717d1bf4bc4114f5"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64="UNSUPPORTED"
+REQUIRES="%README%"
+MAINTAINER="Oleg A. Deordiev"
+EMAIL="admin@ifconfig.com.ua"
diff --git a/network/kasp_updater/slack-desc b/network/kasp_updater/slack-desc
new file mode 100644
index 0000000000..eda2162477
--- /dev/null
+++ b/network/kasp_updater/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+kasp_updater: kasp_updater (network updater for Kaspersky antivirus)
+kasp_updater:
+kasp_updater: Kaspersky Update Utility is the application designed for downloading
+kasp_updater: updates of selected Kaspersky Lab applications from the specified
+kasp_updater: update source. The application allows saving updates in a local or
+kasp_updater: network folder, from which they can be distributed on computers
+kasp_updater: without Internet access.
+kasp_updater: Kaspersky Update Utility establishes connection to an update source
+kasp_updater: according to the specified settings and checks if any updates for the
+kasp_updater: selected applications are available.
+kasp_updater:
diff --git a/network/kasp_updater/updater.ini.patch b/network/kasp_updater/updater.ini.patch
new file mode 100644
index 0000000000..bbd89a2058
--- /dev/null
+++ b/network/kasp_updater/updater.ini.patch
@@ -0,0 +1,25 @@
+--- updater.ini 2014-01-08 16:38:25.957198862 +0200
++++ updater.ini 2014-01-08 16:44:42.207217074 +0200
+@@ -25,17 +25,17 @@
+ SaveReportsToFile=true
+ AppendToPreviousFile=true
+ SizeLogFileValue=1048576
+-ReportFileName=report.txt
++ReportFileName=/var/log/kasp_updater.log
+ DeleteIfSize=true
+ DeleteIfNumDay=false
+ NoChangeLogFile=false
+ NumDayLifeLOgFileValue=7
+
+ [DirectoriesSettings]
+-MoveToCurrentFolder=true
+-MoveToCustomFolder=false
+-UpdatesFolder=
+-TempFolder=
++MoveToCurrentFolder=false
++MoveToCustomFolder=true
++UpdatesFolder=/var/kav
++TempFolder=/var/kav
+ ClearTempFolder=true
+
+ [UpdatesSourceSettings]